#include<stdio.h>
#include<stdlib.h>
#include<ctype.h>
#include<locale.h>

double keisan(int,int,int);
double keisan2(int,int,int);
int kensaku(char *a,char *b);
int main(void)
{
  FILE *fp,*fz;
  char gattai[80],tandoku[80];
  char ch;
  char str[64];
  char title[20],title2[20];
  char wakakyori[100];
  int flag,tarsize,p,x,y;
  double kyori1,kyori2;

  printf("gattai: ");
  scanf("%s",gattai);
  printf("tandoku: ");
  scanf("%s",tandoku);
  printf("wakakyori: ");
  scanf("%s",wakakyori);

  fp=fopen(gattai,"r");
  if(fp == NULL){
    printf("errorr\n");
    exit(1);
  }
  fz=fopen(wakakyori,"w+");

  p=0;

  flag=0;
  while(flag==0){
    ch=fgetc(fp);
    if(ch == EOF){
      flag=1;
    }
    fseek(fp,-1L,SEEK_CUR);

    
  fscanf(fp, "%s %d", str, &tarsize);

  for (p = 0; p < 9; p++) {
    title[p] = str[p];
  }
  title[p] = '\0';

  for (p = 0; p < 9; p++) {
    title2[p] = str[12 + p];
  }
  title2[p] = '\0';

  x=kensaku(title,tandoku);
  y=kensaku(title2,tandoku);

  kyori1=keisan(x,y,tarsize);
  kyori2=keisan2(x,y,tarsize);
  
  printf("%s %s %f %f\n",title,title2,kyori1,kyori2);
  fprintf(fz,"%s %s %f %f\n",title,title2,kyori1,kyori2);
 }
  fclose(fz);

  fclose(fp);
  return(0);
}

int kensaku(char *number,char *name){
  FILE *fq;
  char mozi[20],a[20];
  char ch;
  int size,s;

  fq=fopen(name,"r");
  if(fq==NULL){
    printf("error\n");
    exit(1);
  }

  while((ch=fgetc(fq)) != EOF){
    fseek(fq,-1L,SEEK_CUR);
    fscanf(fq,"%s %d",&mozi,&size);
    for(s=0;s<9;s++){
      a[s]=mozi[s];
    }
    a[s]='\0';

    for(s=0;s<9;s++){
      if(a[s]!=number[s]){
	break;
      }
      if(s==8){
	fclose(fq);
	return(size);
      }
    }
  }

  return(0);
}

double keisan(int a,int b,int c){
  double kyori;
  kyori = 1.0 - ( (a- (c-b) ) / (double)c );
  return(kyori);
}

double keisan2(int a,int b,int c){
  if(b>a)
    return((c-a)/(double)b);
  else
    return 0;
}
